"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exec = void 0;
const fs = require("fs");
const cp = require("child_process");
function exec(command, cwd) {
    return new Promise((resolve, reject) => {
        const execOptions = {
            env: Object.assign(Object.assign({}, process.env), { __USER_FLOW_MODE__: 'SANDBOX' })
        };
        if (cwd !== undefined) {
            try {
                const isDir = fs.lstatSync(cwd).isDirectory();
                if (!isDir) {
                    reject(`Sandbox directory ${cwd} invalide`);
                }
            }
            catch (e) {
                reject(`Sandbox directory ${cwd} invalide`);
            }
            cwd && (execOptions.cwd = cwd);
        }
        cp.exec(command, execOptions, (err, stdout, stderr) => {
            if (err) {
                return reject(err);
            }
            if (stderr) {
                return reject(stderr);
            }
            resolve(stdout);
        });
    });
}
exports.exec = exec;
//# sourceMappingURL=utils.js.map